MediaImages

Delete an image

DELETE/media/v1/projects/{projectId}/images/{imageId}

Deletes an image from a project.

X-API-Key<token>

In: header

Path Parameters

projectId*string

Project ID

imageId*string

Image ID

Response Body

200application/json

OK

type: object

deleted?boolean
id?string
400application/json

Bad Request

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

401application/json

Unauthorized

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

404application/json

Not Found

type: object

code?integer

HTTP status code

details?string

Optional details about the error

error?string

Error message describing what went wrong

curl -X DELETE "https://api.rixl.com/media/v1/projects/string/images/string"
fetch("https://api.rixl.com/media/v1/projects/string/images/string", {
  method: "DELETE"
})
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api.rixl.com/media/v1/projects/string/images/string"

  req, _ := http.NewRequest("DELETE", url, nil)

  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api.rixl.com/media/v1/projects/string/images/string"

response = requests.request("DELETE", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api.rixl.com/media/v1/projects/string/images/string"))
  .DELETE()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.DeleteAsync("https://api.rixl.com/media/v1/projects/string/images/string");
var responseBody = await response.Content.ReadAsStringAsync();

OK

application/json

{
  "deleted": true,
  "id": "string"
}

Bad Request

application/json

{
  "code": 400,
  "details": "The provided ID is not valid",
  "error": "Bad Request"
}

Unauthorized

application/json

{
  "code": 401,
  "details": "The provided ID is not valid",
  "error": "Unauthorized"
}

Not Found

application/json

{
  "code": 404,
  "details": "The provided ID is not valid",
  "error": "Not Found"
}